import styled, {css} from 'styled-components';

const Inputform = styled.input`
    
    font-size: 14px;
    width: 100%;
    background-color: #F4F6FA;
    border-radius: 5px;
    height: 45px;
    line-height: 45px;
    padding: 0 40px 0 10px;
    transition: 0.3s ease all;
    border: 2px solid #F4F6FA;
    

    &:focus{
        border:3px solid #0075FF;
        outline: none;
        background-color: #fff
        //box-shadow: 2px 0 30px rgba(163, 163, 163, 0.4);
    }

    ${props => props.valido === 'true' && css`
        border:2px solid #46B634;
        background-color: #F4F6FA;
    `}  

    ${props => props.valido === 'false' && css`
        border:2px solid #FF0000;
        background-color:rgba(255, 0, 0, 0.2);
    `}  
`;


const LeyendaError = styled.p`
    font-size: 12px;
    margin-bottom: 0px;
    color: #bb2929;
    display: none;
    ${props => props.valido === 'true' && css`
        display:none;
    `}  
    ${props => props.valido === 'false' && css`
        display:block;
    `}  
`;

const CampoObligatorio = styled.span`
    color:#C1C3D4;
    ${props => props.obligatorio === 'true' && css`
        display:block;
    `}  
    ${props => props.obligatorio === 'false' && css`
        display:none;
    `}
`

const Button = styled.button`
    display:flex;
    align-items:center;
    font-family: 'Nunito Sans', sans-serif; /*de preferecnia hacerla variable porque todo lleva este tipo de font*/
    background-color:#1559ED;
    color: #fff;
    font-weight: 600;
    font-size: 20px;
    width:fit-content;
    height: 2rem;
    padding: 1.2rem 2rem;
    /*border-radius: 0.5rem;*/
    border: 2px solid transparent;
    cursor:pointer;

    ${props => props.tipo_boton === 'secondary' && css`
        border: 2px solid #1559ED;
        color:#1559ED;
        background-color: transparent;
    `} 

    ${props => props.tipo_boton === 'text' && css`
        border: 2px solid transparent;
        color:#1559ED;
        background-color: transparent;
    `} 
`

const Icono = styled.span`
    display:block;
    padding:0 4px;

    ${props => props.ikon === 'false' && css`
        display: none;
    `} 
`

const Switch = styled.label`
    position:relative;

`

const InputSwitch = styled.input`
    position:absolute;
    display:none;

    &:checked + span {
        background-color:#1890ff;

        &:before {
            left:calc(100% - 4px);
            transform: translateX(-100%);
        }
    }

`

const Slider = styled.span`
    display:flex;
    cursor:pointer;
    width:100px;
    height:50px;
    border-radius:50px;
    background-color: #bfbfbf;
    position:relative;
    transition: background-color 0.3s;

    &:before{
        content:"";
        position:absolute;
        top:4px;
        left:4px;
        width:42px;
        height:42px;
        border-radius:42px;
        transition:0.2s;
        background: #fff;
        box-shadow: 0 2px 4px 0 rgba(0, 35, 11, 0.2)
    }

    &:active:before {
        width:56px;
    }
`

const Fecha = styled.input`
    font-size: 14px;
    width: fit-content;
    background-color: #F4F6FA;
    border-radius: 5px;
    height: 45px;
    line-height: 45px;
    padding: 0 40px 0 10px;
    transition: 0.3s ease all;
    border: 2px solid #F4F6FA;

    &:focus{
        border:3px solid #0075FF;
        outline: none;
        background-color: #fff
        //box-shadow: 2px 0 30px rgba(163, 163, 163, 0.4);
    }
`

export {
    Inputform, 
    LeyendaError, 
    CampoObligatorio, 
    Button, 
    Icono,
    Switch,
    Slider,
    InputSwitch,
    Fecha
};
